package com.interfaceware.chameleon;
import java.net.*;
/**
 * This interface provides events to alert the class 
 * implementing this interface of various events on the
 * client socket.
 **/
public interface ClientSocketListener
{
/**
 * Invoked when a connection is made
 **/
   public void onConnect(Hl7ClientSocket ClientSocket);
/**
 * Invoked when the client closes the connection
 **/
   public void onCloseClient(Hl7ClientSocket ClientSocket);
/**
 * Invoked when the client connects 
 **/
   public void onClientConnect(Hl7ClientSocket ClientSocket);
/** 
 * Invoked when a client disconnects
 **/
   public void onClientDisconnect(Hl7ClientSocket ClientSocket);
}
