package com.interfaceware.chameleon;
/**
* This class handles data type constants.  It's effectively
* an enumeration of the four basic data types supported in
* Chameleon tables.
**/
public class DataType
{
  /**
   * String type.
   **/
   public static final byte StringType   = 0;
  /**
   * Integer type.
   **/
   public static final byte IntegerType  = 1;
  /**
   * Double type.
   **/
   public static final byte DoubleType   = 2;
  /**
   * Date Time type.
   **/
   public static final byte DateType     = 4;
}
