#include <CHM/CHMpreCompHead.h>
#pragma hdrstop

#ifdef CHM_NO_PRECOMPILED_HEADERS
#  include <CHM/CHMtransport.h>
#  include <CHM/CHMerrorClass.h>
#  include <CHM/CHMwrapper.h>
#  include <CHM/CHMoutputLog.h>
#  include <CHM/CHMengineClass.h>
#endif
// not a lot happening here!

CHMtransport::CHMtransport() : m_pEngine(NULL)
{
   // do nothing
}

CHMtransport::~CHMtransport()
{
   // do nothing
}

void CHMtransport::OnError
(
   size_t         Code,
   const CHMchar* pDescription
) 
{
   if (Log() != NULL)
   {
      CHMstring ErrorMessage;
      ErrorMessage += "Error :";
      ErrorMessage += pDescription;
      ErrorMessage += " (Code ";
      CHMstring Temp(32,'\0');
      sprintf(Temp.get_buffer(),"%d",Code);
      ErrorMessage += Temp;
      ErrorMessage += ")";
      Log()->OutputLine(ErrorMessage.c_str());
   }
}

CHMwrapper* CHMtransport::Wrapper()
{
   CHM_ASSERT(m_pEngine != NULL);
   return m_pEngine->Wrapper();
}

CHMoutputLog* CHMtransport::Log()
{
   CHM_ASSERT(m_pEngine != NULL);
   return m_pEngine->Log();
}
